package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordDajiangDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 打浆记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordDajiangMapper extends BaseMapperX<RecordDajiangDO> {

    default PageResult<RecordDajiangDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordDajiangDO>()
                .eq(RecordDajiangDO::getRecordId, recordId)
                .orderByDesc(RecordDajiangDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordDajiangDO::getRecordId, recordId);
    }

}